<!-- badges: start -->
  ![GitHub R package version](https://img.shields.io/github/r-package/v/Avi-Kenny/steppedwedge)
  [![CRAN status](https://www.r-pkg.org/badges/version/steppedwedge)](https://CRAN.R-project.org/package=steppedwedge)
  ![GitHub](https://img.shields.io/github/license/Avi-Kenny/steppedwedge)
  [![R-CMD-check](https://github.com/Avi-Kenny/steppedwedge/actions/workflows/R-CMD-check.yml/badge.svg)](https://github.com/Avi-Kenny/steppedwedge/actions/workflows/R-CMD-check.yml)
  [![Codecov test coverage](https://codecov.io/gh/Avi-Kenny/steppedwedge/graph/badge.svg)](https://app.codecov.io/gh/Avi-Kenny/steppedwedge)
  [![](https://cranlogs.r-pkg.org/badges/steppedwedge)](https://CRAN.R-project.org/package=steppedwedge)
<!-- badges: end -->

# steppedwedge <img src='man/figures/logo.png' align="right" height="150" />

An R package for analyzing data from stepped wedge cluster randomized trials

## Overview

**steppedwedge** is an open-source R package designed for analyzing data from stepped wedge cluster randomized trials. Functions are given for checking/visualizing datasets and estimating various treatment effect parameters, including the immediate treatment effect (ITE), exposure time averaged treatment effect (ETATE), calendar time averaged treatment effect (CTATE).

## Installation

The latest stable version of **steppedwedge** can be installed from CRAN using `install.packages()`:

```R
install.packages("steppedwedge")
```

The current development version can be installed using `devtools::install_github()`:

```R
devtools::install_github(repo="Avi-Kenny/steppedwedge")
```

## Documentation

The full package documentation can be found at [https://avi-kenny.github.io/steppedwedge/](https://avi-kenny.github.io/steppedwedge/).

## Bugs reports and feature requests

To submit a bug report or request a new feature, please submit a new [GitHub Issue](https://github.com/Avi-Kenny/steppedwedge/issues).
